classification
Title: patch for review: OS/2 EMX port fixes for 2.6
Type: Stage:
Components: Build, Interpreter Core, Library (Lib), Tests Versions: Python 3.0, Python 2.6
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: aimacintyre Nosy List: aimacintyre, amaury.forgeotdarc
Priority: normal Keywords: patch

Created on 2008-09-14 12:29 by aimacintyre, last changed 2009-04-23 11:06 by aimacintyre. This issue is now closed.

Files
File name Uploaded Description Edit
build_os2emx.patch aimacintyre, 2008-09-14 12:29 OS/2 EMX build files update for 2.6
source_os2emx.patch aimacintyre, 2008-09-14 12:39 OS/2 EMX source (core/lib/test) changes for 2.6
Messages (3)
msg73217 - (view) Author: Andrew I MacIntyre (aimacintyre) * (Python triager) Date: 2008-09-14 12:39
The 2 attached patch files are patches required for the OS/2 EMX port to
build and function:
- build_os2emx.patch - updates to the Makefile and config files in
PC/os2emx;
- source_os2emx.patch - updates to various core/library/test files.
=> Include/pystrcmp.h (OS/2 is like Windows, with the same C lib routines)
=> Lib/test/test_io.py (OS/2 is like Windows again)
=> Objects/floatobject.c (should use macro'd symbols not direct)
=> Python/pymath.c (any platform without HAVE_LOG1P should have
DBL_EPSILON in <float.h>)

For review so that the fixes can be rolled into 2.6 final.
msg73224 - (view) Author: Amaury Forgeot d'Arc (amaury.forgeotdarc) * (Python committer) Date: 2008-09-14 14:35
The patches look good to me. 
I first thought that there could be a difference between PyOS_strnicmp 
and PyOS_mystrnicmp, but both Microsoft's strnicmp and python's PyOS_mystrnicmp are sensitive to the current locale.

Another unrelated issue is to protect all uses of Py_NAN: some builds 
may choose to #define Py_NO_NAN...
msg73582 - (view) Author: Andrew I MacIntyre (aimacintyre) * (Python triager) Date: 2008-09-22 14:52
Committed in revs 66552, 66553 and 66554.

I've blocked r66554 from py3k as other changes are needed for OS/2 (r66555)
I've merged r66552 and r66553 into py3k as they apply cleanly (r66556).

Thanks for the review Amaury.
History
Date User Action Args
2009-04-23 11:06:24aimacintyresetstatus: pending -> closed
keywords: patch, patch
2008-09-22 14:52:30aimacintyresetstatus: open -> pending
versions: + Python 3.0
messages: + msg73582
priority: normal
assignee: aimacintyre
keywords: patch, patch
resolution: accepted
2008-09-14 14:35:57amaury.forgeotdarcsetkeywords: patch, patch
nosy: + amaury.forgeotdarc
messages: + msg73224
2008-09-14 12:39:30aimacintyresetkeywords: patch, patch
files: + source_os2emx.patch
messages: + msg73217
2008-09-14 12:29:45aimacintyrecreate